For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create token

Create a token

  • password is only available once in the POST response

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
Responses
201

Created

application/json
post/registries/{registryId}/tokens
POST /containerregistries/registries/{registryId}/tokens HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "properties": {
    "expiryDate": "2026-01-01T00:00:00.000Z",
    "name": "push-token",
    "scopes": [
      {
        "actions": [
          "pull",
          "push",
          "delete"
        ],
        "name": "*",
        "type": "repository"
      }
    ],
    "status": "enabled"
  }
}
{
  "href": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "metadata": {
    "createdBy": "text",
    "createdByUserId": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "lastModifiedBy": "text",
    "lastModifiedByUserId": "text",
    "lastModifiedDate": "2026-01-01T00:00:00.000Z",
    "state": "text"
  },
  "properties": {
    "credentials": {
      "password": "",
      "username": "push-token"
    },
    "expiryDate": "2026-01-01T00:00:00.000Z",
    "name": "push-token",
    "scopes": [
      {
        "actions": [
          "pull",
          "push",
          "delete"
        ],
        "name": "*",
        "type": "repository"
      }
    ],
    "status": "enabled"
  },
  "type": "text"
}

Last updated

Was this helpful?